KDE 4.2 PyKDE API Reference

- KDE's Python API

# UnlinkJob Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Job → KCompositeJob → KJob → QObject
Namespace: Akonadi

## Detailed Description

Job that unlinks items inside the Akonadi storage.

This job allows you to remove references to a set of items in a virtual collection.

Author:
  Volker Krause <vkrause@kde.org>

Since:
  4.2

See also:
  LinkJob

## Methods

| __init__ (self, Akonadi.Collection collection, Akonadi.Item.List items, QObject parent=0)
| doStart (self)

## Method Documentation

__init__ | ( | self, |
|  | Akonadi.Collection | collection,
|  | Akonadi.Item.List | items,
|  | QObject | parent=0
| ) |  |  |

Creates a new unlink job.

The job will remove references to the given items from the given collection.

Parameters:

  | collection | The collection from which the references should be removed.
  | items | The items of which the references should be removed.
  | parent | The parent object.

doStart | ( |  | self ) |